import { AppModule } from '../../app-modules/app-module.js';
export declare class ColourModule extends AppModule {
    constructor(output: any);
    static readonly id: string;
    HSVtoRGB(h: number, s: number, v: number): {
        r: number;
        g: number;
        b: number;
    };
    RGBtoHEX(r: number, g: number, b: number): string;
    HEXtoRGBComponents(hex: string): {
        r: number;
        g: number;
        b: number;
    };
    _random(): string;
    _luminance(hex: string, lum?: number): string;
    _create(type: 'rgb' | 'hsv', one: number, two: number, three: number): string | undefined;
    _lerp(from: string, to: string, percentage: number): string;
}
export default ColourModule;
